Bug 1944755 - ghostscript-9.54.0 is available
Summary: ghostscript-9.54.0 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ghostscript
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Lescak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-30 15:25 UTC by Upstream Release Monitoring
Modified: 2021-06-08 07:04 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-28 22:24:19 UTC
Type: ---
rlescak: needinfo+


Attachments (Terms of Use)
[patch] Update to 9.54.0 (#1944755) (1.08 KB, patch)
2021-03-30 15:25 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2021-03-30 15:25:31 UTC
Latest upstream release: 9.54.0
Current version/release in rawhide: 9.53.3-5.fc34
URL: http://www.ghostscript.com/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/1157/

Comment 1 Upstream Release Monitoring 2021-03-30 15:25:45 UTC
Created attachment 1767726 [details]
[patch] Update to 9.54.0 (#1944755)

Comment 2 Upstream Release Monitoring 2021-03-30 15:31:57 UTC
the-new-hotness/release-monitoring.org's scratch build of ghostscript-9.54.0-1.fc32.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=64860759

Comment 3 Fedora Admin user for bugzilla script actions 2021-05-04 12:09:24 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 4 Fedora Update System 2021-05-19 08:35:04 UTC
FEDORA-2021-316d6f48e6 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-316d6f48e6

Comment 5 Fedora Update System 2021-05-21 01:34:57 UTC
FEDORA-2021-316d6f48e6 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-316d6f48e6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-316d6f48e6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Adam Williamson 2021-05-28 22:24:19 UTC
this was filed against Rawhide, and the new version is in Rawhide, so closing. there was a problem with the dependencies in it which is why the F34 update didn't get pushed, but the bug "9.54.0 isn't in rawhide" has been fixed.

Comment 7 Fedora Update System 2021-06-02 10:23:56 UTC
FEDORA-2021-41049aa9ae has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-41049aa9ae

Comment 8 Fedora Update System 2021-06-02 10:41:14 UTC
FEDORA-2021-738a7a9c2b has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-738a7a9c2b

Comment 9 Fedora Update System 2021-06-03 01:30:22 UTC
FEDORA-2021-738a7a9c2b has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-738a7a9c2b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-738a7a9c2b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-06-03 18:11:40 UTC
FEDORA-2021-738a7a9c2b has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-738a7a9c2b

Comment 11 Fedora Update System 2021-06-03 19:04:02 UTC
FEDORA-2021-41049aa9ae has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-41049aa9ae`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-41049aa9ae

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-06-03 20:49:58 UTC
FEDORA-2021-41049aa9ae has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-41049aa9ae

Comment 13 Fedora Update System 2021-06-04 01:17:48 UTC
FEDORA-2021-41049aa9ae has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-41049aa9ae`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-41049aa9ae

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2021-06-04 01:47:30 UTC
FEDORA-2021-738a7a9c2b has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-738a7a9c2b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-738a7a9c2b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Zdenek Dohnal 2021-06-04 09:15:23 UTC
The following packages have .setpdfwrite in their source code in rawhide and need to be reviewed by their maintainers:

Search for '.setpdfwrite':
asymptote
claws-mail
cups-pdf (taken care of in 1965717)
cups-x2go
nasm
texlive-base

Risa, would you mind filing bugs for those components with asking to review their '.setpdfwrite' usage and migrate it (in rawahide, but ideally in F33 and F34 too, so we can rebase gs there too)?

Thank you in advance!

Comment 16 Richard Lescak 2021-06-08 07:04:29 UTC
Sure, it's done.


Note You need to log in before you can comment on or make changes to this bug.